## 1.2.5
<details>

- Added 1 new Spell(requires BadassEmotes), and 1 new Support.
- Added item displays for Startstorm 2, Mystics Items, and Tinkers Satchel items.
- Fixed Magicites in accessory slots staying equipped when you lost your last Key/Ancient Scepter.
- Changed the backend of how certain Limit Breaks fade the game sounds in and out to use the BaseMod implementation (the same way House's Russian Roulette does it).
- Power Word Kill no longer holds you hostage for 5 seconds after a successful cast as it waits for the sounds to fade back in.
- Fixed the Proc Coefficients of all Myst's projectiles being non-existant.
</details>

## 1.2.0 
<details>

- Reworked Parry
- Parry now lasts for as long as the button is held, but reduces incoming damage by 85%.
- Parry limit gain from blocking has been increased by 25%
- Parry now has a "perfect" window for a very breif period when used, during this time: all damage from all sides is nullified, Limit gain is increased, Magic is restored based on damage blocked, and you reflect up to 3 times the damage taken to nearby enemies.
- Magic Missile now tracks targets harder, and should miss less.
- Wild Magic no longer refunds half a limit bar on use.
- Wild Magic has now been rigged in favour of doing something positive (there's still no guarantee though).
- Wild Magic now always casts a random Spell/Limit after use.
- Fixed a bug that caused UI elements to display incorrect information when reviving from sources like Dio's Best Friend.
- Some buffs and DamageTypes were moved to a basemod so that they can be used by other mods (Like House) without them depending on Myst (and vice versa).
- Fixed the item display for Shipping Request Form.
</details>

## 1.1.0 Sorcerer Rework
<details>

- Added 1 new Spell, and 1 new Finisher.
- Sorcerer now starts with Eclipse Gate instead of Reflect.
- Sorcerer now starts with Shillelagh instead of Ripple Drive.
- Ultima now takes 3 seconds to charge instead of 2.
- Ultima now has damage falloff, dealing less damage to enemies further from the blast.
- Ultima's damage has been reduced from 4500% to 3000%.
- Ultima's proc coefficient has been reduced from 1 to 0.25 (this reduces the amount of Limit it generates, and lowers the amount of damage items such as Runalds band deal when procced by it).
- ([Developer's Note] The above changes were to resolve an issue where, Ultima was such a good spell all on its own, that players could spam it and ignore the rest of the kit, with these Nerfs Ultima is still very strong, but no longer eclipses the rest of the kit)
- PowerWord:Kill is no longer effected by Attack Speed.
- PowerWord:Kill now takes 5 seconds to channel instead of 3.
- PowerWord:Kill can no longer instant kill final bosses, instead dealing 35% of their maxHP.
- PowerWord:Kill now inflicts Limit Lock on the caster for 60 seconds, preventing Limit generation.
- PowerWord:Kill now spends its Limit cost when the channel starts, and only refunds 80% of the cost if canceled.
- PowerWord:Kill can no longer be effected by 'All'.
- PowerWord:Kill now grants breif invincibility after a successful cast.
- PowerWord:Kill's sequence has been changed to build up more tension as the channel nears completion.
- ([Developer's Note] The Above changes were done because PowerWord:Kill was boring to use, and was a very anti-climactic way to end a run, with these changes it's more fun to use throughout the run, and can no longer single-handedly defeat the run's final foe.)
- Magic Missile has been reworked, and now fires up to 6 bolts at the target depending on how much Magic is left, more Magic results in more bolts, additionally, the Magic cost is per-bolt, so the more magic you have, the more bolts you fire, the more Magic you spend.
- ([Developer's Note] This results in Magic Missile starting as a burst spell, and then turning into more of a spam spell as you start to run out of Magic, becoming less potent, but never less Magic efficient, and is designed to work alongside Eclipse Gate, which deals more damage as you run out of Magic.)
- ([Developer's Note] The above changes all come together to turn the Sorcerer into a fresh new class that focuses around managing the Magic meter, and choosing what spell to use based on remaining Magic)
- Cone Of Frost now costs 10 Magic instead of 15.
- Judgement Cut END now mutes all sounds instead of just the music.
- Fixed a bug that prevented shift-clicking Magicites if you didn't have Ancient Scepter installed. (I've honestly no clue how I screwed that up.)
- Fixed some itemdisplays that were overlooked with the model update from the previous version.
- Gave Myst a CachedName so that his eclipse progress can be saved with ModdedCharEclipseFix.
- Added a new Config File to configure the damage values, Magic/Limits costs, and proc-coefficients of most of Myst's arsenal.
- Added a backend feature that allows other mods to add their own Magicites to Myst. (I intend to also add a feature to allow other mods to add their own Jobclasses.)
</details>

## 1.0.0 Full Release
<details>

- Myst's model has been updated, fixing UV and Bonerig issues. (this will break skins :-/)
- Myst's animations have been completely re-done.
- Added Berserk Form.
- Mystic and Warrior now start with Berserk Form.
- Overhauled the Magicite Menu.
- Myst now has "Accessory" Magicite Slots, which he can access if he is holding certain items. (this effect does not stack, and the item with the highest number of slots is prioritised) (See "Special Item Interactions" for more info)
- Added New Synthesis Options to spend more Latent Magicites to specify the type of Magicites obtained.
- Desynth now gives Latent Magicites equal to the level of the Magicite destroyed (before, it was 7 * CurrentLevel/MaxLevel).
- Synthesis costs have been adjusted to account for the above change.
- Lowered the number of kills required to level up Finisher Magicites.
- Ultima now has a max level of 5 instead of 2.
- The Mystic Jobclass set has been re-organised to make the class easier to play.
- A config option has been added to revert the above change.
- Changed various VFX.
- Changed how Limit is handled in the backend to make it more stable in Multiplayer.
</details>

## 0.8.2 Minor Patch 2
<details>

- Acid Splash's VFX has been redone.
- Fixed Pyroclasm only working for the Host in multiplayer. (I have NO clue how I ever let this be a thing)
- Fixed being able to glide by repeatedly using Blasting Zone or JCE whithout enough Limit.
- Fixed Doombolt and Frost Fangs not being registered as network states (this caused some issues).
- Changed the way that Magic and Limit menus work so that they will play nicer with Auto-Sprint mods.
- Fixed Limit Syphon and Health Syphon not working for non Host players.
- Made some changes that make Support magicites function more reliably in multiplayer.
- Potentially fixed a bug that caused Myst to sometimes break at the start of a run. (at the very least, it's much rarer now, I haven't been able to trigger it again anyways, but I don't feel confident enough to just declare it as fixed yet)
</details>

## 0.8.1 Minor Patch 1
<details>

- Stasis no longer fires more pulses than it's supposed to when players exit the radius in multiplayer.
- Reworked Judgement Cut so that it no longer disables Myst's hitbox, and instead just grants invincibility. (This was causing issues)
- Fixed Blasting Zone, Judgement Cut END, and Judgement Cut (Finisher) setting the player to terminal velocity when the move ended.
- Added some chat messages to help narrow down a multiplayer issue that completely breaks Myst for the duration of a run, as well as bandaiding a potential cause by making the Jobclass default to Mystic if something goes wrong.
- To re-iterate, if you see one of these chat messages, let me know, and send me the console log in the RoR2 Modding Discord.
</details>

## 0.8.0 Emotes Update :)
<details>

- Added EmoteAPI support.
- Added 'Jobclasses', selectable starting Magicite sets.
- Added 4 new Finishers, 1 new Limit Break, and 1 new Spell.
- Dark Passenger now has double the range, and no longer roots you in place.
- Ripple Drive now has 50% more AoE.
- Blasting Zone's damage increased.
- Magic Missile's damage increased.
- Fortify's duration decreased from 60s to 30s.
- Haste's duration decreased from 20s to 15s.
- Haste's channel time reduced from ~2s to ~1s.
- Reflect mana cost increased.
- Reflect now detonates imediately after 20 blocked hits.
- Ultima's damage reduced from 5000% to 4000%.
- Bandolier now restores 15 Magic when picked up.
- Added footstep sounds.
- Added menu navigation sounds.
- Magicite Menu can now be closed with escape.
- Gave Myst custom AI for Umbra and Goobo. (it's a bit buggy, but at least he's no longer a potato)
- Changed the VFX for Blasting Zone.
- Fixed a bug that caused the UI text for Limit and Magic bars to not load.
- Fixed Myst's dash being wonky if the target died before you reached them.
- Fixed Myst not working in KingKombatArena.
- Fixed Magicites not updating their effects when they level up.
- Massively reduced the File Size.
</details>

## 0.7.1 Oops
<details>

- Fixed 'Stasis' Appearing regardless of survivor picked.
- Added config option to enable Stasis appearing regardless of survivor picked.
- Fixed 'Zoom' having a max level of 2.
</details>

## 0.7.0 Stasis Update
<details>

- Added 'Stasis', a mechanic that freezes the game timer after clearing a stage, as long as nobody leaves the teleporter zone for more than 4 seconds.
- The Magicite Menu now has a sort button.
- Massively reduced MP recharge time, from 50 seconds to 20 seconds.
- Added 3 new Spells, and 3 new Limit Breaks.
- Fixed Magicite EXP not being awarded to non-host players in multiplayer.
- Fixed Ally targeted spells not working in multiplayer.
- Probably something else that I missed, I've been working on this update on and off for a while, so it's hard to remember.
</details>

## 0.6.5 Config Update
<details>

- Added 2 new Finishers.
- Added config options for scaling and re-colouring the Resource Gauges.
- Added config options for re-colouring Magicites.
- Added Risk Of Options support.
- Trippled the Area of Effect of Ultima.
- 'Multi' now doubles the mana cost of the paired spell, with an extra 50% increase per level.
- Fixed 'MPThrift' not working with Haste.
</details>

## 0.6.0 Synthesis Update
<details>

- Added Synthesis and Desynthesis.
- Added 7 new Spells, and 1 new Limit Break.
- Increased the downwards knockback of Call lightning, and buffed the damage of both Call Lightning and Cone of Frost.
- Slightly increased the damage of Vorpal Slice.
- Overhauled the target indicator, can now target things from twice as far, but you may only dash to the target if they are under a certain distance (which is the same length as the previous targeting distance) which is indicated by an orange addition to the targeter (effectively, all this means is that you can use targeted spells like Call Lightning from twice as far away, but you may not dash further than before).
- Added additional target indicators for sub-targets for use with multi-target spells, as well as an ally target indicator for use with Ally Target spells.
- Fixed Preon Accumulator breaking the equipment slot if it's the first equipment you picked up (this should also fix some modded equipment icons).
- Replaced the placeholder icon for the Magicite menu in the hotbar cluster.
- The custom HuD now correctly shows the keybinds of the player.
- Limit Gauge now charges 3 times slower.
- Limit Gauge now charges based on Proc Coefficient (less Proc Coefficient = less Limit Charge).
- Blasting Zone now prevents the Limit Gauge charging for 20 seconds after its duration (preventing procced items from granting you most if not all of your spent Limit back).
</details>

## 0.5.0 Early Release
<details>

- Released
</details>
